[arch-commits] Commit in diffutils/repos (3 files)

Sébastien Luttringer seblu at archlinux.org
Wed Jan 2 23:08:26 UTC 2019


    Date: Wednesday, January 2, 2019 @ 23:08:25
  Author: seblu
Revision: 342892

db-move: moved diffutils from [testing] to [core] (x86_64)

Added:
  diffutils/repos/core-x86_64/PKGBUILD
    (from rev 342891, diffutils/repos/testing-x86_64/PKGBUILD)
Deleted:
  diffutils/repos/core-x86_64/PKGBUILD
  diffutils/repos/testing-x86_64/

----------------------+
 /PKGBUILD            |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 core-x86_64/PKGBUILD |   35 -----------------------------------
 2 files changed, 48 insertions(+), 35 deletions(-)

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD	2019-01-02 23:08:24 UTC (rev 342891)
+++ core-x86_64/PKGBUILD	2019-01-02 23:08:25 UTC (rev 342892)
@@ -1,35 +0,0 @@
-# Mainainer: Sébastien Luttringer <seblu at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Andreas Radke <andyrtr at archlinux.org>
-
-pkgname=diffutils
-pkgver=3.6
-pkgrel=2
-pkgdesc='Utility programs used for creating patch files'
-arch=('x86_64')
-url='https://www.gnu.org/software/diffutils'
-license=('GPL3')
-groups=('base')
-depends=('glibc' 'bash')
-validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
-source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
-md5sums=('07cf286672ced26fba54cd0313bdc071'
-         'SKIP')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: diffutils/repos/core-x86_64/PKGBUILD (from rev 342891, diffutils/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2019-01-02 23:08:25 UTC (rev 342892)
@@ -0,0 +1,48 @@
+# Mainainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=diffutils
+pkgver=3.7
+pkgrel=1
+pkgdesc='Utility programs used for creating patch files'
+arch=('x86_64')
+url='https://www.gnu.org/software/diffutils'
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'bash')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('4824adc0e95dbbf11dfbdfaad6a1e461'
+         'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list